#!/usr/bin/python

"""Test of sayAll."""

from macaroon.playback import *
import utils

sequence = MacroSequence()

#sequence.append(WaitForDocLoad())
sequence.append(PauseAction(5000))

sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("KP_Add"))
sequence.append(utils.AssertPresentationAction(
    "1. KP_Add to do a SayAll",
    ["SPEECH OUTPUT: 'Here are some entries'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'form'",
     "SPEECH OUTPUT: 'Type'",
     "SPEECH OUTPUT: 'something'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'rather'",
     "SPEECH OUTPUT: 'amusing'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'here:'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Amusing numbers fall between'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'and'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: '.'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'I'm a label'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Am I a label as well?'",
     "SPEECH OUTPUT: 'What the heck should we do here?'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'Looking at what follows visually, I'm not sure what I would type/i.e.'",
     "SPEECH OUTPUT: 'what the labels are.'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Too far away to be a label.'",
     "SPEECH OUTPUT: 'Distance doesn't count on the left'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Sometimes labels can be below the fields due to <br />'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'First Name'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'M.I.'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Last Name'",
     "SPEECH OUTPUT: 'Other times it's due to layout tables'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'First name'",
     "SPEECH OUTPUT: 'Middle",
     "initial'",
     "SPEECH OUTPUT: 'Last'",
     "SPEECH OUTPUT: 'name'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'Second verse same as the first (only now the labels are above the fields)'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'First Name'",
     "SPEECH OUTPUT: 'Middle",
     "initial'",
     "SPEECH OUTPUT: 'Last'",
     "SPEECH OUTPUT: 'name'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Decisions, decisions.... When in doubt, closest table cell text wins'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'First name'",
     "SPEECH OUTPUT: 'Middle",
     "initial'",
     "SPEECH OUTPUT: 'Last name'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Given name'",
     "SPEECH OUTPUT: 'initial'",
     "SPEECH OUTPUT: 'Surname'",
     "SPEECH OUTPUT: 'First name'",
     "SPEECH OUTPUT: 'Middle",
     "initial'",
     "SPEECH OUTPUT: 'Last name'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'Given name'",
     "SPEECH OUTPUT: 'initial'",
     "SPEECH OUTPUT: 'Surname'",
     "SPEECH OUTPUT: 'Decisions, decisions.... We should try to figure out if we're in a grid of fields.'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'First name'",
     "SPEECH OUTPUT: 'Middle",
     "initial'",
     "SPEECH OUTPUT: 'Last name'",
     "SPEECH OUTPUT: 'patched image'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'We mustn't forget images as labels -- even if that practice is lame'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'bandaid graphic'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'bandaid graphic redux'",
     "SPEECH OUTPUT: 'Magic disappearing text trick:'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'tab to me and I disappear'",
     "SPEECH OUTPUT: 'Tell me a secret:'",
     "SPEECH OUTPUT: 'password text'",
     "SPEECH OUTPUT: 'Tell me a little more about yourself:'",
     "SPEECH OUTPUT: 'entry'",
     "SPEECH OUTPUT: 'I",
     "am a monkey with a long tail. '",
     "SPEECH OUTPUT: ' I like to swing from trees and eat",
     "bananas. '",
     "SPEECH OUTPUT: ' I've recently taken up typing and plan to write my memoirs. '"]))

sequence.append(utils.AssertionSummaryAction())
sequence.start()
